支援的部署平台

從 Flutter 3.19.3 開始,Flutter 支援在以下硬體架構和作業系統版本組合中部署應用程式。這些組合稱為平台

Flutter 支援三層平台

  • 支援:Flutter 團隊在每次提交時都會在這些平台上進行測試。
  • 盡力支援:Flutter 團隊打算透過編碼實務來支援這些平台。團隊會不定期在這些平台上進行測試。
  • 不支援:Flutter 團隊不會測試或支援這些平台。

根據這些層級,Flutter 支援部署到以下平台。

目標平台 硬體架構 支援的版本 盡力支援的版本 不支援的版本
Android SDK x64、Arm32、Arm64 21 至 34 19 至 20 18 及更早版本
iOS Arm64 17 12 至 16 11 及更早版本
macOS x64、Arm64 13 10.141214 10.13 及更早版本
Windows x64、Arm64 10 7, 8, 11 Vista 及更早版本
Debian (Linux) x64、Arm64 11, 12 9, 10 8 及更早版本
Ubuntu (Linux) x64、Arm64 20.04 LTS 22.04 至 23.10 22.04 及更早版本 (一般)
Chrome (網路) 不適用 最新 2 個版本 96 至最新 2 個版本 95 及更早版本
Firefox (網路) 不適用 最新 2 個版本 99 至最新 2 個版本 98 及更早版本
Safari (網路) 不適用 最新 2 個版本 15.6 至最新 2 個版本 15.5 及更早版本
Edge (網路) 不適用 最新 2 個版本 96 至最新 2 個版本 95 及更早版本

Android 僅在軟體模擬中支援 IA32 (x86)。